#!/bin/bash

BASE=$(dirname $0)

NUM=$1
EXE=$BASE/xteekeyb

[ -x "$EXE" ] || exit

if [ -z "$NUM" ]; then
	NUM=4
fi

sleep 1

for i in $(seq $NUM) ; do
	WID=$($EXE search multi$i | cut -d' ' -f 1)
	if [ -z "$WID" ] ; then
		if [ -x /usr/bin/gnome-terminal ]; then
			if [ ! -f "$BASE/bashrc" ]; then
				echo "Cannot find the file $BASE/bashrc. Please check your installation."
				exit
			fi
			gnome-terminal -t "multi$i" -e "bash --rcfile $BASE/bashrc" &
		elif [ -x /usr/bin/Eterm ]; then
			Eterm --font fixed --title "multi$i" &
		else
			echo
			echo "Cannot find a good terminal on your computer."
			echo "Please install gnome-terminal or Eterm."
			echo
			echo "...or modify this script to adapt it to your favourite terminal :-)"
			echo "(if you do so please read the README and don't waste your time with xterm)"
			echo
			exit

		fi
	fi
done

sleep 1

ARG=""

for i in $(seq $NUM) ; do
	WID=$($EXE search multi$i | cut -d' ' -f 1)
	if [ ! -z "$WID" ] ; then
		ARG="$ARG $WID"
	else
		echo "Terminal multi$i not found"
    fi
done

$EXE $ARG

